| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Enumerations | Functions
CHIP: LPC18xx/43xx Reset Generator Unit (RGU) driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_RGU_T
| RGU register structure. More...

## Enumerations
enum | CHIP_RGU_RST_T { RGU_CORE_RST, RGU_PERIPH_RST, RGU_MASTER_RST, RGU_WWDT_RST = 4, RGU_CREG_RST, RGU_BUS_RST = 8, RGU_SCU_RST, RGU_M3_RST = 13, RGU_LCD_RST = 16, RGU_USB0_RST, RGU_USB1_RST, RGU_DMA_RST, RGU_SDIO_RST, RGU_EMC_RST, RGU_ETHERNET_RST, RGU_FLASHA_RST = 25, RGU_EEPROM_RST = 27, RGU_GPIO_RST, RGU_FLASHB_RST, RGU_TIMER0_RST = 32, RGU_TIMER1_RST, RGU_TIMER2_RST, RGU_TIMER3_RST, RGU_RITIMER_RST, RGU_SCT_RST, RGU_MOTOCONPWM_RST, RGU_QEI_RST, RGU_ADC0_RST, RGU_ADC1_RST, RGU_DAC_RST, RGU_UART0_RST = 44, RGU_UART1_RST, RGU_UART2_RST, RGU_UART3_RST, RGU_I2C0_RST, RGU_I2C1_RST, RGU_SSP0_RST, RGU_SSP1_RST, RGU_I2S_RST, RGU_SPIFI_RST, RGU_CAN1_RST, RGU_CAN0_RST, RGU_LAST_RST = 63 }
| RGU reset enumerations. More...

## Functions
void | Chip_RGU_TriggerReset (CHIP_RGU_RST_T ResetNumber)
| Trigger a peripheral reset for the selected peripheral.
bool | Chip_RGU_InReset (CHIP_RGU_RST_T ResetNumber)
| Checks the reset status of a peripheral.
void | Chip_RGU_ClearReset (CHIP_RGU_RST_T ResetNumber)
| Clears reset for the selected peripheral.

## Enumeration Type Documentation

enum CHIP_RGU_RST_T

RGU reset enumerations.

Enumerator:

  RGU_CORE_RST |
  RGU_PERIPH_RST |
  RGU_MASTER_RST |
  RGU_WWDT_RST |
  RGU_CREG_RST |
  RGU_BUS_RST |
  RGU_SCU_RST |
  RGU_M3_RST |
  RGU_LCD_RST |
  RGU_USB0_RST |
  RGU_USB1_RST |
  RGU_DMA_RST |
  RGU_SDIO_RST |
  RGU_EMC_RST |
  RGU_ETHERNET_RST |
  RGU_FLASHA_RST |
  RGU_EEPROM_RST |
  RGU_GPIO_RST |
  RGU_FLASHB_RST |
  RGU_TIMER0_RST |
  RGU_TIMER1_RST |
  RGU_TIMER2_RST |
  RGU_TIMER3_RST |
  RGU_RITIMER_RST |
  RGU_SCT_RST |
  RGU_MOTOCONPWM_RST |
  RGU_QEI_RST |
  RGU_ADC0_RST |
  RGU_ADC1_RST |
  RGU_DAC_RST |
  RGU_UART0_RST |
  RGU_UART1_RST |
  RGU_UART2_RST |
  RGU_UART3_RST |
  RGU_I2C0_RST |
  RGU_I2C1_RST |
  RGU_SSP0_RST |
  RGU_SSP1_RST |
  RGU_I2S_RST |
  RGU_SPIFI_RST |
  RGU_CAN1_RST |
  RGU_CAN0_RST |
  RGU_LAST_RST |

Definition at line 47 of file rgu_18xx_43xx.h.

## Function Documentation

void Chip_RGU_ClearReset | ( | CHIP_RGU_RST_T | ResetNumber | ) |

Clears reset for the selected peripheral.

Parameters

  ResetNumber | : Peripheral reset number to trigger

Returns
  Nothing Almost all peripherals will auto clear the reset bit. Only a few peripherals like the Cortex M0 Core in LPC43xx will not auto clear the reset and require this function to clear the reset bit.

Definition at line 67 of file rgu_18xx_43xx.c.

bool Chip_RGU_InReset | ( | CHIP_RGU_RST_T | ResetNumber | ) |

Checks the reset status of a peripheral.

Parameters

  ResetNumber | : Peripheral reset number to trigger

Returns
  true if the periperal is still being reset

Definition at line 83 of file rgu_18xx_43xx.c.

void Chip_RGU_TriggerReset | ( | CHIP_RGU_RST_T | ResetNumber | ) |

Trigger a peripheral reset for the selected peripheral.

Parameters

  ResetNumber | : Peripheral reset number to trigger

Returns
  Nothing

Definition at line 51 of file rgu_18xx_43xx.c.